# Uses of Class
org.codehaus.janino.util.charstream.UnexpectedCharacterException

Packages that use UnexpectedCharacterException
Package
Description
org.codehaus.janino.util.charstream
Application-independent helper classes.

## Uses of UnexpectedCharacterException in org.codehaus.janino.util.charstream

Methods in org.codehaus.janino.util.charstream that throw UnexpectedCharacterException
Modifier and Type
Method
Description
`void`
CharStream.`eoi()`
`void`
StringCharStream.`eoi()`
`void`
CharStream.`read(char c)`
Consumes the next character on this stream and verifies that it equals the given character.
`int`
CharStream.`read(String chars)`
Consumes the nect character and verifies that it matches one of the characters of the given `String`.
`void`
StringCharStream.`read(char c)`
`int`
StringCharStream.`read(String chars)`